%define realname qwt
%define major    5

Name:           libqwt5
Version:        5.2.3
Release:        %mkrel 5
Summary:        2D plotting widget extension to the Qt4 GUI
License:        Qwt License 1.0
Group:          System/Libraries
Url:            https://sourceforge.net/projects/qwt
Source:         https://downloads.sourceforge.net/qwt/%realname-%version.tar.bz2
Patch0:         qwt-5.2.3-qwtconfig-installbase.patch
BuildRequires:  pkgconfig(QtCore)

%description
Qwt is an extension to the Qt GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientific purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

#------------------------------------------------------------------------------
%define libname %mklibname qwt %{major}

%if "%_lib" != "lib"
%package -n     %libname
Summary:        2D plotting widget extension to the Qt4 GUI
Group:          System/Libraries

%description -n %libname
Qwt is an extension to the Qt4 GUI library from Troll Tech AS.
The Qwt library contains widgets and components which are
primarily useful for technical and scientific purposes.
It includes a 2-D plotting widget, different kinds of sliders,
and much more.

This package provides the runtime library.
%endif

%files -n %libname
%doc CHANGES COPYING README
%{_qt4_libdir}/libqwt.so.%{major}{,.*}

#------------------------------------------------------------------------------

%define libnamedev %mklibname qwt5 -d

%package -n     %libnamedev
Summary:        Development tools for programs which uses Qwt Widget set
Group:          System/Libraries
Requires:       %libname = %version
Provides:       libqwt5-devel = %version-%release
Provides:       qwt5-devel =  %{version}-%{release}
Conflicts:      libqwt-devel >= 6.0.1

%description -n %libnamedev
The %libnamedev package contains the header files and static libraries
necessary for developing programs using the Qwt Widget set

If you want to develop programs which will use this set of widgets,
you should install this package. You need also to install the libqwt package.

%files -n %libnamedev
%doc COPYING
%doc examples
%docdir %{_qt4_docdir}/html/
%{_qt4_docdir}/html/qwt/
%{_qt4_includedir}/*
%{_qt4_libdir}/*.so
%{_mandir}/man3/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %realname-%version
%autopatch -p1

%build
%qmake_qt4 CONFIG+=QwtSVGItem CONFIG+=install-qt
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

#libqwt_designer_plugin.so conflicts with libqwt6
rm %{buildroot}%{_qt4_plugindir}/designer/libqwt_designer_plugin.so

mkdir -p %{buildroot}%{_mandir}/man3/
install -m 0644 doc/man/man3/* %{buildroot}%{_mandir}/man3/

mv %{buildroot}%{_qt4_docdir}/html/html %{buildroot}%{_qt4_docdir}/html/qwt


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 5.2.3-5.mga9
+ Revision: 1841416
- Mageia 9 Mass Rebuild

* Mon Sep 14 2020 daviddavid <daviddavid> 5.2.3-4.mga8
+ Revision: 1626618
- rebuild against gcc 10
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 5.2.3-3.mga8
+ Revision: 1514715
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 5.2.3-2.mga7
+ Revision: 1299114
- Mageia 7 Mass Rebuild

* Tue Apr 17 2018 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1219688
- new version: 5.2.3
- rename and rediff qwtconfig-installbase patch

* Thu Feb 04 2016 umeabot <umeabot> 5.2.2-11.mga6
+ Revision: 935931
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 5.2.2-10.mga5
+ Revision: 746306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2.2-9.mga5
+ Revision: 681740
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.2.2-8.mga4
+ Revision: 507337
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 5.2.2-7.mga3
+ Revision: 358050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 barjac <barjac> 5.2.2-6.mga3
+ Revision: 321092
- added Provides: qwt5-devel

* Tue Nov 20 2012 zezinho <zezinho> 5.2.2-5.mga3
+ Revision: 319880
- remove libqwt_designer_plugin.so as it conflicts with libqwt6

* Sun Nov 18 2012 zezinho <zezinho> 5.2.2-4.mga3
+ Revision: 319476
- new package name for major 5
- bring back libqwt major 5
- spec cleanup

* Tue Dec 27 2011 dmorgan <dmorgan> 5.2.2-2.mga2
+ Revision: 187989
- Rebuild against new qt4 and new include path

* Mon Dec 12 2011 mikala <mikala> 5.2.2-1.mga2
+ Revision: 181023
- Update tarball to 5.2.2
- sync patch0 with fedora's one
- drop patch1
- change spec layout
- fix description
- remove %%clean & %%defattr()

* Fri Apr 01 2011 ahmad <ahmad> 5.2.1-3.mga1
+ Revision: 79417
- drop old/unneeded scriptlets
- imported package libqwt

